org.keycloak.authentication.authenticators.x509

## Class ValidateX509CertificateUsernameFactory

- java.lang.Object
- - org.keycloak.authentication.authenticators.x509.AbstractX509ClientCertificateAuthenticatorFactory
  - - org.keycloak.authentication.authenticators.x509.ValidateX509CertificateUsernameFactory

- All Implemented Interfaces:
    AuthenticatorFactory, ConfigurableAuthenticatorFactory, ConfiguredProvider, ProviderFactory<Authenticator>

      public class ValidateX509CertificateUsernameFactory
      extends AbstractX509ClientCertificateAuthenticatorFactory

  Version:
    $Revision: 1 $
  Author:
    Peter Nalyvayko

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `PROVIDER_ID`
    `static AuthenticationExecutionModel.Requirement[]` | `REQUIREMENT_CHOICES`
    `static ValidateX509CertificateUsername` | `SINGLETON`

    - ### Fields inherited from class org.keycloak.authentication.authenticators.x509.AbstractX509ClientCertificateAuthenticatorFactory

      `configProperties, logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ValidateX509CertificateUsernameFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Authenticator` | `create(KeycloakSession session)`
    `String` | `getDisplayType()` Friendly name for the authenticator
    `String` | `getHelpText()`
    `String` | `getId()`
    `AuthenticationExecutionModel.Requirement[]` | `getRequirementChoices()` What requirement settings are allowed.

    - ### Methods inherited from class org.keycloak.authentication.authenticators.x509.AbstractX509ClientCertificateAuthenticatorFactory

      `close, getConfigProperties, getReferenceCategory, init, isConfigurable, isUserSetupAllowed, postInit`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.provider.ProviderFactory

      `order`

- - ### Field Detail

    - #### PROVIDER_ID

          public static final String PROVIDER_ID

      See Also:
        Constant Field Values

    - #### SINGLETON

          public static final ValidateX509CertificateUsername SINGLETON

    - #### REQUIREMENT_CHOICES

          public static final AuthenticationExecutionModel.Requirement[] REQUIREMENT_CHOICES

  - ### Constructor Detail

    - #### ValidateX509CertificateUsernameFactory

          public ValidateX509CertificateUsernameFactory()

  - ### Method Detail

    - #### getHelpText

          public String getHelpText()

    - #### getDisplayType

          public String getDisplayType()

      Description copied from interface: `ConfigurableAuthenticatorFactory`
      Friendly name for the authenticator
      Returns:

    - #### getRequirementChoices

          public AuthenticationExecutionModel.Requirement[] getRequirementChoices()

      Description copied from interface: `ConfigurableAuthenticatorFactory`
      What requirement settings are allowed.
      Returns:

    - #### create

          public Authenticator create(KeycloakSession session)

    - #### getId

          public String getId()

Copyright © 2021 JBoss by Red Hat. All rights reserved.